[Domains] Check domain availability
curl --request GET \
--url https://api.onetsolutions.net/v1/domains/availability/check \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onetsolutions.net/v1/domains/availability/check"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onetsolutions.net/v1/domains/availability/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domain_name": "<string>",
"available": true,
"tld": "<string>",
"price": "<string>",
"suggestions": [
{
"domain_name": "<string>",
"tld": "<string>",
"available": true,
"price": "<string>"
}
]
}Domains
[Domains] Check domain availability
Check if a domain is available for registration and get suggestions if not.
GET
/
v1
/
domains
/
availability
/
check
[Domains] Check domain availability
Authorizations
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Query Parameters
Domain name to check (e.g., example.com)
⌘I

